package com.java2s.common;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="EMP")
public class Person {
	@Id
  private long id;
	
	@Column(unique=true, nullable=false) 
	private String name;
	private String surname;
  @Column(precision=8, scale=2) 
  private float hourlyRate;

	public Person() {}

	public Person(String name, String surname) {
		this.name = name;
		this.surname = surname;
	}

  public float getHourlyRate() {
    return hourlyRate;
  }

  public void setHourlyRate(float hourlyRate) {
    this.hourlyRate = hourlyRate;
  }

  public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getSurname() {
		return surname;
	}
	public void setSurname(String surname) {
		this.surname = surname;
	}

  @Override
  public String toString() {
    return "Person [id=" + id + ", name=" + name + ", surname=" + surname
        + ", hourlyRate=" + hourlyRate + "]";
  }


}